#
#  Spec file for the RHEL EAL3 Certification RPMS
#
Summary: RHEL EAL3 Certification Programs and Data
Name: eal3-certification
Version: 0.5
Release: 5
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
Source1: RHEL-EAL3-Configuration-Guide.pod
Source2: RHEL-EAL3-Configuration-Guide.pdf
Source3: RHEL-EAL3-Configuration-Guide.html
Source4: RHEL-EAL3-Configuration-Guide.txt
Source5: RHEL-EAL3-Configuration-Guide.man

Patch1: eal3-certification-0.5-shadow-fix.patch
Patch2: eal3-certification-0.5-kw15.patch

Prereq: fileutils chkconfig /etc/init.d
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
The eal3-certification packages contain documentation and data files
needed to modify a system to comply with EAL3/CAPP security requirements.

Details are documented in the Evaluated Configuration Guide contained
in the -doc package.

%package doc
Group:	System Environment/Base
Summary:  RHEL EAL3 Certification Documentation

%description doc
The eal3-certification-doc package contains the documentation
required to harden your RHEL3 system to comply with EAL3/CAPP.

%prep
%setup
%patch1 -p1
%patch2 -p2
# copy in the ECG
mkdir -p %{buildroot}/doc
cp %{SOURCE1} %{buildroot}/doc
cp %{SOURCE2} %{buildroot}/doc
cp %{SOURCE3} %{buildroot}/doc
cp %{SOURCE4} %{buildroot}/doc
cp %{SOURCE5} %{buildroot}/doc

%build

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%attr(0750,root,root) %{_sysconfdir}/audit/rhel-eal3.bash
%attr(0644,root,root) %{_sysconfdir}/audit/pam.d/*
%attr(0600,root,root) %{_sysconfdir}/audit/*.conf
%attr(0600,root,root) %{_sysconfdir}/audit/sshd_config
%attr(0644,root,root) %{_sysconfdir}/audit/login.defs

%files doc
%defattr(0444,root,root)
%doc doc/*
%doc /usr/share/man/man2/*


%changelog
* Fri Jul 2 2004 ccb <ccb@redhat.com> 0.5-5
- new ECG from Klaus at ATSEC
* Tue Jun 29 2004 ccb <ccb@redhat.com> 0.5-4
- relativize the paths when copying in the ecg

* Tue Jun 29 2004 root <ccb@redhat.com> 0.5-3
- integrate v1.2 of cert guide and new KW patches

* Mon Jun 28 2004 root <ccb@redhat.com> 0.5-2
- back down shadow-utils rev
* Mon Jun 28 2004 root <ccb@redhat.com> 0.5-1
- merge kw12 patch from klaus@atsec.com
- repackage all patches in new tarball
* Wed Jun 23 2004 Charlie Bennett <ccb@redhat.com>
- supercede kw7 with kw10
* Tue Jun 22 2004 Charlie Bennett <ccb@redhat.com>
- integrate kw7 patch from Klaus Weidner
* Thu Jun 10 2004 Charlie Bennett <ccb@redhat.com>
- integrate kw3 -> kw6 cumulative patch from Klaus Weidner
* Fri May 28 2004 Charlie Bennett <ccb@redhat.com>
- integrate the kw3 patch from Klaus Weidner <klaus@atsec.com>
* Fri May 28 2004 Charlie Bennett <ccb@redhat.com>
- add the man pages
* Fri May 28 2004 Charlie Bennett <ccb@redhat.com>
- new
